<?php

class LogsEdicao extends GxActiveRecord
{
    public static function model($className=__CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'logs_edicao';
    }

    public function behaviors() {
        return array('datetimeI18NBehavior' => array('class' => 'ext.DateTimeI18NBehavior'));
    }

    public function rules()
    {
        return array(
        );
    }

    public function relations()
    {
        return array(
            'Autor' => array(self::BELONGS_TO, 'Funcionarios', 'LOG_AUTOR'),
        );
    }

    public function attributeLabels()
    {
        return array(
        );
    }

    public function beforeSave() {
        parent::beforeSave();

        if (empty($this->LOG_VALOR_ANTERIOR)) {
            $this->LOG_VALOR_ANTERIOR = NULL;
        }

        if (empty($this->LOG_VALOR_ATUALIZADO)) {
            $this->LOG_VALOR_ATUALIZADO = NULL;
        }

        $this->LOG_AUTOR = User::getId();
        $this->LOG_DATA = date('Y-m-d H:i:s');

        if (empty($this->LOG_SINCRONIZACAO)) {
            $this->LOG_SINCRONIZACAO = 0;
        }

        if (isset($_SERVER['REMOTE_ADDR'])) {
            $this->LOG_IP = $_SERVER['REMOTE_ADDR'];
        }

        if (isset($_SERVER['HTTP_USER_AGENT'])) {
            $this->LOG_USER_AGENT = $_SERVER['HTTP_USER_AGENT'];
        }
        return true;
    }
}
